EDIT - feature request #6999

RegistrationUl: Enable, disable editor buttons according to the users permission to edit or delete the
according cdm entity

09/29/2017 02:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.11

Severity: major

Description

Associated revisions

Revision c9af7679 - 09/29/2017 03:11 PM - Andreas Kohlbecker

ref #6999 protecting reference edit buttons

Revision 73129ab9 - 10/11/2017 01:45 PM - Andreas Kohlbecker
ref #6999 protecting type and name buttons

Revision 68b2628a - 10/11/2017 08:34 PM - Andreas Kohlbecker

ref #6999 fixing permission evaluation and adding debug button to gain per entitiy permissions

Revision 1a38cf2c - 10/17/2017 04:29 PM - Andreas Kohlbecker

fix #6999 enablement of type and name editor buttons in workingset button group according to granted authorities
- more robust RegistrationRequiredDatalnserter

- adding SPECIMENOROBSERVATIONBASE authority default groups

- protecting type and name edit buttons

- adding debug feature to gain per entity permissions for types and names per button click

- implementing PermissionDebugUtils

Revision b393aff8 - 10/19/2017 12:18 PM - Andreas Kohlbecker

fix #6999 generic button state updater for toOne relation field

History

#1 - 10/17/2017 04:29 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|1a38cf2¢c10b574f4d0d752973060a56f0f68c9ff.

#2 - 10/19/2017 12:18 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
